var auth;
function settings() {
 try {
   var storage = window.localStorage;
   if(storage.getItem("user") != null && storage.getItem("password") != null && storage.getItem("wifi") != null) {
     $.mobile.changePage("#home");
     login();
    }
   else {
     $.mobile.changePage("#settings", {transition: 'pop', role: 'dialog'});
    }
  }
 catch(e) {
   //alert(e);
   alert("Device doesn`t support localstorage:-(");
   window.location.href = "http://linux.lsg.musin.de/cp";
  }
}
function savesettings() {
 try {
   var storage = window.localStorage;
   storage.setItem("user", $("#username").val());
   storage.setItem("password", $("#password").val());
   storage.setItem("wifi", $("#wifi").val());
   user = window.localStorage.getItem("user");
   pass = window.localStorage.getItem("password");
   $.ajax({
     url: "http://linux.lsg.musin.de/cp/logout.php",
     success: function(data){
       //alert(data);
     },
     async: false
   });
   $.ajax({
     url: "http://linux.lsg.musin.de/cp/login.php",
     type: "POST",
     data: { username: user, password: pass},
     success: function(data){
       //alert(data);
     },
     async: false
   });
   settings();
  }
 catch(e) {
   //alert(e);
  }
}
function testconnection() {
 wifi = window.localStorage.getItem("wifi");
 networkState = navigator.network.connection.type; //alert(Connection.WIFI);
 if((wifi == "on" && networkState != Connection.WIFI && networkState != Connection.ETHERNET) || networkState == Connection.NONE) {
   return false;
  }
 else
   return true;
}
function login() {
 if(testconnection()) {
   if(!is_logged_in()) {
     user = window.localStorage.getItem("user");
     pass = window.localStorage.getItem("password");
     $.ajax({
       url: "http://linux.lsg.musin.de/cp/login.php",
       type: "POST",
       data: { username: user, password: pass},
       success: function(data){
         //alert(data);
       },
       async: false
     });
    }
   if(is_logged_in()) {
    reload();
   }
  else {
    alert("Logindaten fehlerhaft. Bitte korrigieren.");
    $.mobile.changePage("#settings", {transition: 'pop', role: 'dialog'});
   }
  }
 else {
   alert("Keine Verbindung, stelle lokal gespeicherte Daten wieder her.");
   $("#vertretungen").html(window.localStorage.getItem("vertretungen"));
   $("#vertretungen_mine").html(window.localStorage.getItem("vertretungen_mine"));
   $("#count_mine").html(window.localStorage.getItem("count_mine"));
   $("#count_all").html(window.localStorage.getItem("count_all"));
    try {
      $("#vertretungsplan").page("destroy").page();
      $("#mine").page("destroy").page();
     } catch(err) {
      //console.log(err);
     }
  }
}
function is_logged_in() {
 $.ajax({
  url: "http://linux.lsg.musin.de/cp/backend.php",
  success: function(data){
    if(data == "logged_in")
     auth = true;
    else {
       //$.mobile.changePage("#settings", {transition: 'pop', role: 'dialog'});
       auth = false;
     }
  },
  async: false
});
 return auth;
}
function ondeviceready() {
 $(document).ready(function() {
   $.support.cors = true;
   $.mobile.allowCrossDomainPages = true;
   $("#settings").live("pagebeforeshow", function (event, ui) {
     $("#username").val(window.localStorage.getItem("user"));
     $("#wifi").val(window.localStorage.getItem("wifi"));
     $("#password").val(window.localStorage.getItem("password"));
     $("#wifi").slider('refresh');
    });
   try {
     settings();
    }
   catch(e) {
     alert(e);
    }
 });
}
function onload() {
document.addEventListener("deviceready", ondeviceready, false);
}
function reload() {
  //$.mobile.showPageLoadingMsg();
  if(is_logged_in()) {
    $.ajax({
     url: "http://linux.lsg.musin.de/cp/vp_mobile.php",
     success: function(data) {
       $("#vertretungen").html(data);
       window.localStorage.setItem("vertretungen", data);
      },
     async: false
    });
    $.ajax({
     url: "http://linux.lsg.musin.de/cp/vp_mobile.php?class=mine",
     data: "?class=mine",
     type: "GET",
     success: function(data) {
       $("#vertretungen_mine").html(data);
       window.localStorage.setItem("vertretungen_mine", data);
      },
     async: false
    });
    $.ajax({
     url: "http://linux.lsg.musin.de/cp/vp_mobile.php",
     data: {count: "mine"},
     type: "GET",
     success: function(data) {
       $("#count_mine").html(data);
       window.localStorage.setItem("count_mine", data);
      }
    });
    $.ajax({
     url: "http://linux.lsg.musin.de/cp/vp_mobile.php?count=all",
     success: function(data) {
       $("#count_all").html(data);
       window.localStorage.setItem("count_all", data);
      }
    });
    if(location.hash == "#login" || location.hash == "")
      $.mobile.changePage("#home");
   }
  else {
    $.mobile.changePage("#login");
   }
  //if(location.hash == "#vertretungsplan")
    try {
      $("#vertretungsplan").page("destroy").page();
      $("#mine").page("destroy").page();
     } catch(err) {
      //console.log(err);
     }
  //$.mobile.hidePageLoadingMsg();
}
